﻿#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

Gui, default
Gui +AlwaysOnTop +Resize

Gui, Add, TreeView, vMyTreeView gMyTreeView h400 AltSubmit -ReadOnly
Gui, Add, Edit, ys vMyEdit w300 h400

 Loop, Read, RecipeTree.csv
  {
     Loop, Parse, A_LoopReadLine , CSV
       {
          RowData%A_Index% := A_LoopField
       }

       If RowData2 = 0
        {
          RecipeID := TV_Add(RowData3)
          %RowData1% := RecipeID
          %RecipeID% := RowData1
          RowText := RecipeID . "text"
          %RowText% := RowData4
        }
       Else
        {
          Ingredient := RowData1 . RowData2
          IngredientID := TV_Add(RowData3, %Rowdata1%)
          %IngredientID% := Ingredient
          RowText := IngredientID . "text"
          %RowText% := RowData4
        }
  }

Gui, Show  ; Show the window and its TreeView.
return

MyTreeView:
 TV_GetText(TreeText, TV_GetSelection())
 Unit := TV_GetSelection()
 Text := TV_GetSelection() . "text"
 GuiControl, , MyEdit, % TreeText . "  `n" . TV_GetSelection() . "`nHow Many  " . TV_GetCount() . "`nParent ID  " .  TV_GetParent(TV_GetSelection()) .  "  `n" . %Unit% .  "  `n" . %Text%
Return


GuiSize:  ; Expand or shrink the TreeView in response to the user's resizing of the window.
if A_EventInfo = 1  ; The window has been minimized.  No action needed.
    return
; Otherwise, the window has been resized or maximized. Resize the ListView to match.
GuiControl, Move, MyTreeView, % " H" . (A_GuiHeight - 40) ;"W" . (A_GuiWidth - 20) . 
GuiControl, Move, MyEdit, % "W" . (A_GuiWidth - 275) . " H" . (A_GuiHeight - 40)  
Return

GuiClose:  ; Exit the script when the user closes the TreeView's GUI window.
ExitApp
Return
